<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .mainContainer {
            width: 600px;
            height: 600px;
            border: 4px solid black;
            position: relative;
        }

        header,
        section,
        aside,
        footer,
        .aside1 {
            width: 200px;
            height: 200px;
            border: 2px solid black;
            position: absolute;
            margin: 10px;
        }

        section {
            margin-top: 250px;
        }

        aside {
            margin-left: 300px;
        }

        footer {
            height: 80px;
            width: 400px;
            bottom: 20px;

        }

        #print {
            position: absolute;
            bottom: 60px;
            left: 450px;
        }

        #file1 {
            position: absolute;
            bottom: 120px;
            left: 300px;
        }

        .aside1 {
            position: absolute;
            margin-left: 300px;
            margin-top: 250px;
        }

        .display {
            display: none;
        }
    </style>
</head>

<body>
    <div class="mainContainer">
        <header>
            <h1>student details</h1>
            name:amit <br>
            cource:mern
            <p id="headerPara"></p>
        </header>
        <aside></aside>
        <section>
            <div class="tasks-container">
                <ul id="list">

                </ul>
            </div>
        </section>
        <div class="aside1"></div>
        <footer class="display">
            <input type="text" id="input" class="inputt">
            <button id="submit1" class="submitBtn">submit</button>
        </footer>
        <input type="file" id="file1">
        <button id="print">print</button>
    </div>


    <!-- script code -->
    <script>
        let header1 = document.getElementsByTagName('header')[0];
        let footer1 = document.getElementsByTagName('footer')[0];
        header1.addEventListener('click', () => {
            footer1.classList.toggle('display');
            let input1 = document.getElementById('input').value;
            let headerPara = document.getElementById('headerPara');
            document.getElementById('submit1').addEventListener('click', () => {
            
                    headerPara.textContent = input1;

                
            });
        });
       


        // console.log(input2);


        let section = document.getElementsByTagName('section')[0];
        section.addEventListener('click', () => {
            footer1.classList.toggle('display');

            document.getElementsByClassName('submitBtn')[0].addEventListener('click', () => {
                let newTask = document.getElementsByClassName('inputt')[0].value;
                if (newTask !== "") {

                    let allTask = localStorage['tasks'] ? JSON.parse(localStorage['tasks']) : [];
                    console.log(allTask);
                    allTask[allTask.length] = newTask;
                    localStorage['tasks'] = JSON.stringify(allTask);
                    document.getElementsByClassName('inputt')[0].value = "";
                    displayTask();
                }
                function displayTask() {
                    let tasks = localStorage.getItem("tasks") ? JSON.parse(localStorage.getItem('tasks')) : [];
                    let ul = document.getElementById('list');
                    ul.innerHTML = "";
                    
                    for (let i = 0; i < tasks.length; i++) {
                        let li = document.createElement('li');
                        let span = document.createElement('span');
                        span.innerText = tasks[i];

                        li.appendChild(span);

                        ul.appendChild(li);
                        console.log(span);
                    }
                
                }

                displayTask();

            });


        });
//    localStorage.clear();


            document.getElementById('print').addEventListener('click', () => {
                print();
            });



           let chooseFile=document.getElementById('print1');
           
    </script>
</body>

</html>